#! /bin/bash

export EXT_JAVA_OPTIONS="-Xmx1024m -Xms1024m"

# DOWNLOAD GIGASPACES AND JAVA FROM CLOUDFILES 
echo Downloading installation files
wget -q http://c1958812.cdn.cloudfiles.rackspacecloud.com/gigaspaces-xap-premium-7.1.1-ga-b4500.zip
wget -q http://c1958812.cdn.cloudfiles.rackspacecloud.com/java.zip
wget -q http://c1958812.cdn.cloudfiles.rackspacecloud.com/esm.zip
wget http://c1958812.cdn.cloudfiles.rackspacecloud.com/unzip
wget http://c1958812.cdn.cloudfiles.rackspacecloud.com/unzipsfx

# INSTALL UNZIP
chmod +x unzip
chmod +x unzipsfx
mv unzip /usr/bin
mv unzipsfx /usr/bin

# UNZIP GIGASPACES AND JAVA
echo Extracting files
mkdir /opt/gigaspaces
mkdir /opt/java

unzip -q gigaspaces-xap-premium-7.1.1-ga-b4500.zip -d /opt/gigaspaces
chmod -R 777 /opt/gigaspaces
rm -f gigaspaces-xap-premium-7.1.1-ga-b4500.zip

unzip -q java.zip -d /opt/java
chmod -R 777 /opt/java
rm -f java.zip

unzip -q esm.zip -d /opt/gigaspaces/gigaspaces-xap-premium-7.1.1-ga/lib/platform/esm
chmod -R 777 /opt/gigaspaces/gigaspaces-xap-premium-7.1.1-ga/lib/platform/esm
rm -f esm.zip

# UPDATE SETENV SCRIPT...
echo Updating environment script
cd /opt/gigaspaces/gigaspaces-xap-premium-7.1.1-ga/bin

sed -i '1i export JAVA_HOME=/opt/java' setenv.sh
sed -i '1i export NIC_ADDR=#eth1:ip#' setenv.sh
sed -i "1i export LOOKUPLOCATORS=$1" setenv.sh

# DISABLE LINUX FIREWALL
service iptables save
service iptables stop
chkconfig iptables off

# START THE LOOKUP SERVICE AND ESM
if [ "$2" = "agent" ]; then
	./gs-agent.sh gsa.lus=0 gsa.global.lus=0 gsa.gsm=0 gsa.global.gsm=0 gsa.esm=0 gsa.gsc=0 &
else
	./gs-agent.sh gsa.lus=1 gsa.global.lus=0 gsa.gsm=1 gsa.global.gsm=0 gsa.esm=1 gsa.gsc=0 &	
fi	
